Author: cyrus
Date: 2015-10-15 10:56:59 +0200 (Thu, 15 Oct 2015)
New Revision: 47189

Modified:
   trunk/package/network/ipv6/6in4/Makefile
   trunk/package/network/ipv6/6in4/files/6in4.sh
Log:
6in4: add tunlink option support

Signed-off-by: Steven Barth <[email protected]>

Modified: trunk/package/network/ipv6/6in4/Makefile
===================================================================
--- trunk/package/network/ipv6/6in4/Makefile    2015-10-12 13:14:36 UTC (rev 
47188)
+++ trunk/package/network/ipv6/6in4/Makefile    2015-10-15 08:56:59 UTC (rev 
47189)
@@ -8,8 +8,8 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=6in4
-PKG_VERSION:=21
-PKG_RELEASE:=2
+PKG_VERSION:=22
+PKG_RELEASE:=1
 PKG_LICENSE:=GPL-2.0
 
 include $(INCLUDE_DIR)/package.mk

Modified: trunk/package/network/ipv6/6in4/files/6in4.sh
===================================================================
--- trunk/package/network/ipv6/6in4/files/6in4.sh       2015-10-12 13:14:36 UTC 
(rev 47188)
+++ trunk/package/network/ipv6/6in4/files/6in4.sh       2015-10-15 08:56:59 UTC 
(rev 47189)
@@ -27,8 +27,8 @@
        local iface="$2"
        local link="6in4-$cfg"
 
-       local mtu ttl tos ipaddr peeraddr ip6addr ip6prefix tunnelid username 
password updatekey
-       json_get_vars mtu ttl tos ipaddr peeraddr ip6addr ip6prefix tunnelid 
username password updatekey
+       local mtu ttl tos ipaddr peeraddr ip6addr ip6prefix tunlink tunnelid 
username password updatekey
+       json_get_vars mtu ttl tos ipaddr peeraddr ip6addr ip6prefix tunlink 
tunnelid username password updatekey
 
        [ -z "$peeraddr" ] && {
                proto_notify_error "$cfg" "MISSING_ADDRESS"
@@ -36,14 +36,19 @@
                return
        }
 
-       ( proto_add_host_dependency "$cfg" "$peeraddr" )
+       ( proto_add_host_dependency "$cfg" "$peeraddr" "$tunlink" )
 
        [ -z "$ipaddr" ] && {
-               local wanif
-               if ! network_find_wan wanif || ! network_get_ipaddr ipaddr 
"$wanif"; then
+               local wanif="$tunlink"
+               if [ -z "$wanif" ] && ! network_find_wan wanif; then
                        proto_notify_error "$cfg" "NO_WAN_LINK"
                        return
                fi
+
+               if ! network_get_ipaddr ipaddr "$wanif"; then
+                       proto_notify_error "$cfg" "NO_WAN_LINK"
+                       return
+               fi
        }
 
        proto_init_update "$link" 1
@@ -68,6 +73,7 @@
        [ -n "$tos" ] && json_add_string tos "$tos"
        json_add_string local "$ipaddr"
        json_add_string remote "$peeraddr"
+       [ -n "$tunlink" ] && json_add_string link "$tunlink"
        proto_close_tunnel
 
        proto_send_update "$cfg"
@@ -135,6 +141,7 @@
        proto_config_add_string "ip6addr"
        proto_config_add_string "ip6prefix"
        proto_config_add_string "peeraddr"
+       proto_config_add_string "tunlink"
        proto_config_add_string "tunnelid"
        proto_config_add_string "username"
        proto_config_add_string "password"
_______________________________________________
openwrt-commits mailing list
[email protected]
https://lists.openwrt.org/cgi-bin/mailman/listinfo/openwrt-commits

Reply via email to